package jp.co.student.springbootstudy.domain.mapper;

import java.util.List;
import jp.co.student.springbootstudy.domain.model.TutorialClass;
import jp.co.student.springbootstudy.domain.model.TutorialClassExample;
import org.apache.ibatis.annotations.Param;

public interface TutorialClassMapper {

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	long countByExample(TutorialClassExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	int deleteByExample(TutorialClassExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	int deleteByPrimaryKey(Integer tutorialClassId);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	int insert(TutorialClass row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	int insertSelective(TutorialClass row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	List<TutorialClass> selectByExample(TutorialClassExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	TutorialClass selectByPrimaryKey(Integer tutorialClassId);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	int updateByExampleSelective(@Param("row") TutorialClass row, @Param("example") TutorialClassExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	int updateByExample(@Param("row") TutorialClass row, @Param("example") TutorialClassExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	int updateByPrimaryKeySelective(TutorialClass row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	int updateByPrimaryKey(TutorialClass row);
}